------

# NO ATTACHMENT LIMITS FOR MEMBERGROUPS v1.9

[**By Dougiefresh**](http://www.simplemachines.org/community/index.php?action=profile;u=253913) -> [Link to Mod](http://custom.simplemachines.org/mods/index.php?mod=3997)

------

## Introduction
This mod makes a number of changes to the forum so that the following limits don't apply to selected membergroups:

- Maxmimum number of attachments per post
- Maxmimum attachment file size
- Maxmimum size of all attachments per post
- Allowed attachment extensions

With the [PM Attachments](http://custom.simplemachines.org/mods/index.php?mod=1974) mod installed, it also removes the following limits:

- Maxmimum number of attachments per PM
- Maxmimum PM attachment file size
- Maxmimum size of all attachments per PM
- Allowed PM attachment extensions

## Admin Settings
Under **Admin** -> **Members** -> **Permissions**, two permission permissions are available per membergroup: 

- "No Post attachment limits" 
- "No PM attachment limits" (available only with PM Attachments mod installed)

## Related Discussions

- [No attachment limit for admins](http://www.simplemachines.org/community/index.php?topic=17188.0)

## Compatibility Notes
This mod was tested on SMF 2.0.9, but should work on SMF 2.1 RC2, as well as SMF 2.0 and up.  SMF 2.1 Beta 1, 2.1 Beta 2, 2.1 Beta 3, 2.1 RC1, and 1.x will not be supported.

If you use [PM Attachments](http://custom.simplemachines.org/mods/index.php?mod=1974), it must be installed before this mod.

## Changelog
The changelog can be viewed at [XPtsp.com](http://www.xptsp.com/board/free-modifications/no-attachment-limits-for-membergroups/?tab=1).

## License
Copyright (c) 2015 - 2019, Douglas Orend

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
